local coveredBridge = ...
coveredBridge:register({
		DataType = "BUILDING_FUNCTION_MARKET",
                Id = "COVERED_BRIDGE_V3_HAT_FUNCTION",
                Name = "COVERED_BRIDGE_V3_HAT_FUNCTION_NAME",
                TypeList = { "GOODS" },
                IsOverrideCapacity = true,
                CapacityPerSlot = 50,
		WorkerCapacity = 1,
                RelatedJob = { Job = "HATMAKER", Behavior = "WORK_BEHAVIOR" },
                InputInventoryCapacity = {
			{ Resource = "WOOLEN_CLOTH", Quantity = 50 }
                },
                ResourceListNeeded = {
                	{ Resource = "WOOLEN_CLOTH", Quantity = 1 }
                },
                ResourceProduced = {
			{ Resource = "HAT", Quantity = 1 }
                }
})

coveredBridge:register({
		DataType = "BUILDING_FUNCTION_MARKET",
                Id = "COVERED_BRIDGE_V3_KNIFE_FUNCTION",
                Name = "COVERED_BRIDGE_V3_KNIFE_FUNCTION_NAME",
                TypeList = { "GOODS" },
                IsOverrideCapacity = true,
                CapacityPerSlot = 50,
		WorkerCapacity = 1,
                RelatedJob = { Job = "KNIFEGRINDER", Behavior = "WORK_BEHAVIOR" },
                InputInventoryCapacity = {
			{ Resource = "TOOL", Quantity = 50 }
                },
                ResourceListNeeded = {
                	{ Resource = "TOOL", Quantity = 1 }
                },
                ResourceProduced = {
			{ Resource = "KNIFE", Quantity = 1 }
                }
})
